Clones a node

- « DOMNode::C14NFile

- DOMNode::contains »

- PHP Manual
- DOMNode
- Clones a node

# DOMNode::cloneNode

(PHP 5, PHP 7, PHP 8)

DOMNode::cloneNode — Clones a node

### Description

public DOMNode::cloneNode(bool `$deep` = `false`): DOMNode|false

Creates a copy of the node.

### Parameters

`deep`

  Indicates whether to copy all descendant nodes. This parameter is defaulted to `false`.

### Return Values

The cloned node.